Cabal-1.10.2.0: A framework for packaging Haskell software

Portability | portable
Maintainer | cabal-devel@haskell.org

Distribution.Simple.Build.PathsModule

Description

Generating the Paths_pkgname module.

This is a module that Cabal generates for the benefit of packages. It enables them to find their version number and find any installed data files at runtime. This code should probably be split off into another module.

Synopsis

- generate :: PackageDescription -> LocalBuildInfo -> String
- pkgPathEnvVar :: PackageDescription -> String -> String

# Documentation

generate :: PackageDescription -> LocalBuildInfo -> String Source

pkgPathEnvVarSource

Arguments

:: PackageDescription |
-> String | path component; one of "bindir", "libdir", "datadir" or "libexecdir"
-> String | environment variable name

Generates the name of the environment variable controlling the path component of interest.